/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLFrameElement_H__
#define __GdomHTMLFrameElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLFrameElement GdomHTMLFrameElement;
typedef struct _GdomHTMLFrameElementClass GdomHTMLFrameElementClass;


#define GDOM_TYPE_HTML_FRAME_ELEMENT            (gdom_html_frame_element_get_type())
#define GDOM_HTML_FRAME_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_FRAME_ELEMENT, GdomHTMLFrameElement))
#define GDOM_HTML_FRAME_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_FRAME_ELEMENT, GdomHTMLFrameElement)Class)
#define GDOM_IS_HTML_FRAME_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_FRAME_ELEMENT))
#define GDOM_IS_HTML_FRAME_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_FRAME_ELEMENT))
#define GDOM_HTML_FRAME_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_FRAME_ELEMENT, GdomHTMLFrameElementClass))

typedef struct _GdomHTMLFrameElementPrivate GdomHTMLFrameElementPrivate;

struct _GdomHTMLFrameElement {
    GdomHTMLElement parent_instance;
    GdomHTMLFrameElementPrivate *priv;
};

struct _GdomHTMLFrameElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_frame_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLFrameElement_H__ */
